IdentityScope
Date: 2016-06-24

java.security

## Class IdentityScope

- java.lang.Object
- - java.security.Identity
  - - java.security.IdentityScope

- All Implemented Interfaces:
    Serializable, Principal

  Deprecated.

      public abstract class IdentityScope
      extends Identity

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `IdentityScope()` Deprecated.
    `` | `IdentityScope(String var0)` Deprecated.
    `` | `IdentityScope(String var0, IdentityScope var1)` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract void` | `addIdentity(Identity var0)` Deprecated.
    `Identity` | `getIdentity(Principal var0)` Deprecated.
    `abstract Identity` | `getIdentity(PublicKey var0)` Deprecated.
    `abstract Identity` | `getIdentity(String var0)` Deprecated.
    `static IdentityScope` | `getSystemScope()` Deprecated.
    `abstract Enumeration` | `identities()` Deprecated.
    `abstract void` | `removeIdentity(Identity var0)` Deprecated.
    `protected static void` | `setSystemScope(IdentityScope var0)` Deprecated.
    `abstract int` | `size()` Deprecated.

    - ### Methods inherited from class java.security.Identity

      `addCertificate, certificates, equals, getInfo, getName, getPublicKey, getScope, identityEquals, removeCertificate, setInfo, setPublicKey, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.security.Principal

      `hashCode, toString`

- - ### Constructor Detail

    - #### IdentityScope

          protected IdentityScope()

      Deprecated.

    - #### IdentityScope

          public IdentityScope(String var0)

      Deprecated.

    - #### IdentityScope

          public IdentityScope(String var0,
                       IdentityScope var1)
                        throws KeyManagementException

      Deprecated.
      Throws:
        `KeyManagementException`

  - ### Method Detail

    - #### addIdentity

          public abstract void addIdentity(Identity var0)
                                    throws KeyManagementException

      Deprecated.
      Throws:
        `KeyManagementException`

    - #### getIdentity

          public abstract Identity getIdentity(String var0)

      Deprecated.

    - #### getIdentity

          public Identity getIdentity(Principal var0)

      Deprecated.

    - #### getIdentity

          public abstract Identity getIdentity(PublicKey var0)

      Deprecated.

    - #### getSystemScope

          public static IdentityScope getSystemScope()

      Deprecated.

    - #### identities

          public abstract Enumeration identities()

      Deprecated.

    - #### removeIdentity

          public abstract void removeIdentity(Identity var0)
                                       throws KeyManagementException

      Deprecated.
      Throws:
        `KeyManagementException`

    - #### setSystemScope

          protected static void setSystemScope(IdentityScope var0)

      Deprecated.

    - #### size

          public abstract int size()

      Deprecated.